%define major 6
%define libname %mklibname xau %{major}
%define devname %mklibname xau -d

Summary:	X authorization file management library
Name:		libxau
Version:	1.0.8
Release:	5
License:	MIT
Group:		Development/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXau-%{version}.tar.bz2
Patch0:		libxau-visibility.patch
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
X authorization file management library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	X authorization file management library
Group:		Development/X11
Provides:	%{name} = %{EVRD}

%description -n %{libname}
X authorization file management library.

%files -n %{libname}
%{_libdir}/libXau.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}xau6-devel < 1.0.7
Obsoletes:	%{_lib}xau-static-devel < 1.0.7

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/pkgconfig/xau.pc
%{_includedir}/X11/Xauth.h
%{_libdir}/libXau.so
%{_mandir}/man3/Xau*

#----------------------------------------------------------------------------

%prep
%setup -qn libXau-%{version}
%patch0 -p1 -b .visibility

%build
%configure2_5x \
	--disable-static \
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir}

%make

%install
%makeinstall_std


%changelog

* Fri Sep 04 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.8-5
- (a1c6ade) Release up


